import { Element } from "../../components/element.interface";
import { ElementProps } from "../../components/element.props";
export declare type PauseProps = ({
    duration: number;
} & ElementProps) | number;
export default class Pause implements Element {
    #private;
    label?: string;
    duration?: number;
    init(props?: PauseProps): Promise<void>;
    private getInputOptions;
    exec(): Promise<void>;
    continue(): Promise<void>;
    dispose(): Promise<void>;
}
