"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_merge_1 = __importDefault(require("lodash.merge"));
const variables_manager_1 = require("../../managers/variables-manager");
class Vars {
    props;
    getContextVar;
    tag;
    logger;
    async init(props) {
        this.getContextVar = this.props = props;
    }
    async exec() {
        this.logger.trace(`[%s] \t%j`, this.tag, this.props);
        (0, lodash_merge_1.default)(variables_manager_1.GlobalVars, this.props);
    }
    async dispose() { }
}
exports.default = Vars;
//# sourceMappingURL=vars.js.map