import { Logger, LoggerLevel } from "./../libs/logger";
import { GroupElement } from "./group/group.interface";
import { VarsProps } from "./vars/vars.props";
export interface Element {
    id?: string;
    title?: string;
    ignore?: boolean;
    log?: LoggerLevel;
    vars?: VarsProps;
    loop?: string;
    loopKey?: any;
    loopValue?: any;
    tag?: string;
    if?: string;
    parent?: GroupElement;
    getContextVar?: any;
    setContextVarsString?: any;
    setContextVarsObject?: any;
    ignoreVarsBeforeExec?: string[];
    logger?: Logger;
    findParentWithType?<T extends GroupElement>(ClazzType: new (...args: any[]) => T): T;
    init(props: any): any;
    exec(): any;
    dispose(): any;
}
